¿Por qué el subtree `git` no funciona aunque tengo instalado git 1.8.3.2 en Ubuntu 12.10?

Estoy a punto de implementar mi sitio estático basado en AngularJS como una página de Github con Yeoman. El paso 3 de las instrucciones de implementación me dice que haga

git subtree push --prefix dist origin gh-pages

pero cuando entro en eso obtengo

git: 'subtree' is not a git command. See 'git --help'.

Esta respuesta SO me proporcionó instrucciones sobre cómo actualizar a la última git-core y garantizar que siempre se actualice a la última versión estable.

 sudo add-apt-repository ppa:git-core/ppa sudo apt-get update sudo apt-get install git 

Después de ejecutar esos commands, hice git --version para asegurarme de tener la versión más reciente y aparentemente lo hice, ya que git version 1.8.3.2 era la salida. Ahora cuando intenté correr

git subtree push --prefix dist origin gh-pages

de nuevo sigo teniendo el mismo error de seguimiento

git: 'subtree' is not a git command. See 'git --help'.

Finalmente, reinicié Ubuntu 12.10 e intenté ejecutar el command nuevamente, pero una vez más, obtuve el mismo error.

¿Cómo es que el command del git subtree todavía no funciona aunque me actualicé a la versión estable actual?

No parece ser instalado por el package pnetworkingeterminado. Este sitio tiene algunas direcciones: http://engineenetworkingweb.com/blog/how-to-install-git-subtree

En realidad está instalado en Ubuntu, pero por alguna razón no se encuentra en ningún lugar donde Git pueda encontrarlo. La forma más fácil es crear un enlace simbólico:

 sudo chmod +x /usr/share/doc/git/contrib/subtree/git-subtree.sh sudo ln -s /usr/share/doc/git/contrib/subtree/git-subtree.sh /usr/lib/git-core/git-subtree 

ACTUALIZACIÓN 1: parece que se envió un parche en sentido ascendente para solucionarlo, pero aún no se ha fusionado.

ACTUALIZACIÓN 2: el parche para arreglar esto en Debian se ha fusionado, pero como fueron la ruta de un package de git-subtree separado, no creo que esto llegue a Ubuntu 12.04. Parece que no es un problema en 14.04 ya que /usr/lib/git-core/git-subtree ya ha sido creado correctamente por el package git .